# $Revision: 1.27 $, $Date: 2012/05/28 11:15:52 $
Summary:	Wine-Doors - Windows application management for the GNOME desktop
Summary(pl.UTF-8):	Wine-Doors - zarządzanie aplikacjami Windows dla środowiska GNOME
Name:		wine-doors
Version:	0.1.3
Release:	3
License:	GPL (application), Creative Commons (artwork)
Group:		Applications/Emulators
Source0:	http://wddb.wine-doors.org/system/files/%{name}-%{version}rc1.tar_.gz
# Source0-md5:	09b243103f7f733f3cd4ce694d5af3b6
Patch0:		%{name}-runtime-deps.patch
URL:		http://www.wine-doors.org/
Requires:	cabextract
Requires:	cairo >= 1.2.4
Requires:	python
Requires:	python-gnome-desktop-librsvg >= 2.16
Requires:	python-libxml2
Requires:	python-pycairo >= 1.2.0
Requires:	python-pygtk-glade
Requires:	which
Requires:	wine
Requires:	wine-programs
Requires:	xorg-app-setxkbmap
#BuildArch:	noarch
ExclusiveArch:	%{ix86}
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no binary contents
%define		_enable_debug_packages	0

%description
Wine-doors provides a replacement for winetools which adds apt/yum
functionality to wine, doing away with the bad aspects of winetools
whilst keeping the good ones and extending on the origninal idea with
a more modern design approach.

Wine-Doors is licensed under the GNU General Public License and
utilises resources from the Tango Project.

%description -l pl.UTF-8
Wine-doors dostarcza zamiennik winetools dodający funkcjonalność
apt/yum do wine, unikając złych aspektów winetools, a zachowując dobre
i rozszerzając oryginalny pomysł o bardziej współczesne podejście.

Wine-Doors jest udostępniany na Powszechnej Licencji Publicznej GNU
(General Public License) i wykorzystuje zasoby z projektu Tango.

%prep
%setup -q -n %{name}-%{version}rc1
%patch0 -p1

cat <<'EOF' > %{name}.sh
#!/bin/sh
exec %{__python} %{_datadir}/%{name}/src/winedoors.pyo
EOF

%{__sed} -i -e '1s,#.*python,#!%{__python},' src/winedoors.py

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
export USER=root
%{__python} setup.py install \
	--temp=$RPM_BUILD_ROOT \
	--config=%{_sysconfdir}/%{name} \
	-S

rm -f $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D %{name}.sh $RPM_BUILD_ROOT%{_bindir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}/src
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}/src
%py_postclean %{_datadir}/%{name}/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL LICENSE README
%dir %{_sysconfdir}/wine-doors
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/preferences.xml
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/wine-doors.desktop
%{_pixmapsdir}/wine-doors.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dtd
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/registry
%dir %{_datadir}/%{name}/src
%{_datadir}/%{name}/src/*.png
%{_datadir}/%{name}/src/*.sh
%{_datadir}/%{name}/src/*.svg
%{_datadir}/%{name}/src/winedoors.glade
%{_datadir}/%{name}/src/winedoors.gladep
%{_datadir}/%{name}/src/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wine-doors.spec,v $
Revision 1.27  2012/05/28 11:15:52  blues
- rel.3

Revision 1.26  2010/02/15 15:53:30  glen
- disable debuginfo

Revision 1.25  2009/02/26 17:10:40  wolvverine
- 0.1.3rc1

Revision 1.24  2009/02/15 09:07:06  adamg
- Requires: xorg-app-setxkbmap
- release 1

Revision 1.23  2009/02/15 08:56:49  adamg
- updated to 0.1.3

Revision 1.22  2008-01-22 13:30:41  patrys
- R: wine-programs for winepath (otherwise init will fail)

Revision 1.21  2008-01-22 12:58:02  patrys
- 0.1.2
- runtime deps patch added

Revision 1.20  2008-01-08 00:41:31  glen
- damn it. not noarch for the sake of distro deps; rel 2

Revision 1.19  2007-11-11 00:00:17  twittner
- up to 0.1.1

Revision 1.18  2007/07/06 17:27:37  dzeus
- rel. 2

Revision 1.17  2007/07/06 09:05:05  wolvverine
- up to 0.1 final

Revision 1.16  2007/06/21 13:26:19  glen
- R: wine

Revision 1.15  2007/06/21 13:20:59  glen
- R: which

Revision 1.14  2007/06/21 13:18:29  glen
- BR rpm-pythonprov

Revision 1.13  2007/06/14 17:07:54  glen
- update to 0.1-pre1

Revision 1.12  2007/05/15 21:59:10  wolvverine
- up to rev.697, NFY

Revision 1.11  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.9  2007/02/03 11:08:42  glen
- new tarball (previous version tagged)

Revision 1.8  2006/12/26 20:04:22  qboosh
- pl

Revision 1.7  2006/12/24 06:14:40  wolvverine
- add patch 'wineroot'

Revision 1.6  2006/12/22 23:39:25  glen
- chmod now unneccessary now that .py is not packaged

Revision 1.5  2006/12/22 23:38:22  glen
- starts with compiled py too

Revision 1.4  2006/12/21 23:36:33  glen
- wineroot dir hack in prefs.xml

Revision 1.3  2006/12/21 20:37:24  blues
- it starts at least now...

Revision 1.2  2006/12/21 09:31:30  glen
- cleanup, BR: python

Revision 1.1  2006/12/21 09:27:51  glen
- new; packages
